Bug 36323 - ldap_cloud_connection_add uses getAdminConnection
ldap_cloud_connection_add uses getAdminConnection
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Virtualization - UVMM
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0
Assigned To: Stefan Gohmann
Erik Damrose
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-28 07:13 CET by Stefan Gohmann
Modified: 2014-11-26 06:54 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-10-28 07:13:38 CET
While adding a openstack connection on a DC slave, I got the following traceback:
-------------------------------------------------------------------------------
28.10.14 02:04:21.447  MODULE      ( ERROR   ) : Traceback (most recent call last):
  File "/usr/sbin/univention-management-console-module", line 119, in <module>
    notifier.loop()
  File "/usr/lib/pymodules/python2.7/notifier/nf_generic.py", line 284, in loop
    step()
  File "/usr/lib/pymodules/python2.7/notifier/nf_generic.py", line 276, in step
    __min_timer = dispatch.dispatcher_run()
  File "/usr/lib/pymodules/python2.7/notifier/dispatch.py", line 72, in dispatcher_run
    if not disp():
  File "/usr/lib/pymodules/python2.7/notifier/threads.py", line 154, in _simple_threads_dispatcher
    task.announce()
  File "/usr/lib/pymodules/python2.7/notifier/threads.py", line 135, in announce
    self._callback( self, self._result )
  File "/usr/lib/pymodules/python2.7/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/uvmm/uvmmd.py", line 140, in _finished
    self._user_callback(thread, result)
  File "/usr/lib/pymodules/python2.7/notifier/__init__.py", line 104, in __call__
    return self._function( *tmp, **self._kwargs )
  File "/usr/lib/pymodules/python2.7/univention/management/console/modules/uvmm/cloud.py", line 129, in _finished
    ldap_cloud_connection_add(cloudtype, name, parameter)
  File "/usr/lib/pymodules/python2.7/univention/uvmm/uvmm_ldap.py", line 242, in ldap_cloud_connection_add
    lo, position = univention.admin.uldap.getAdminConnection()
  File "/usr/lib/pymodules/python2.7/univention/admin/uldap.py", line 70, in getAdminConnection
    lo=univention.uldap.getAdminConnection(start_tls, decode_ignorelist=decode_ignorelist)
  File "/usr/lib/pymodules/python2.7/univention/uldap.py", line 66, in getAdminConnection
    bindpw=open('/etc/ldap.secret').read()
IOError: [Errno 2] No such file or directory: '/etc/ldap.secret'
-------------------------------------------------------------------------------

Please use getMachineConnection. Maybe we have to adjust the LDAP ACL as well.
Comment 1 Stefan Gohmann univentionstaff 2014-10-28 09:23:49 CET
univention-virtual-machine-manager-daemon: r54990
univention-virtual-machine-manager-schema: r54991

Changelog: r54992

ucs-school-ldap-acls: r54996
ucs-school changelog: r54998
Comment 2 Erik Damrose univentionstaff 2014-11-05 09:47:37 CET
Works fine now. Verified
Comment 3 Stefan Gohmann univentionstaff 2014-11-26 06:54:12 CET
UCS 4.0-0 has been released:
 http://docs.univention.de/release-notes-4.0-0-en.html
 http://docs.univention.de/release-notes-4.0-0-de.html

If this error occurs again, please use "Clone This Bug".